## python-chaco 3.1.0

=== docs/source/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         = letter

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d .build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf .build/*

html:
	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) .build/html
	@echo
	@echo "Build finished. The HTML pages are in .build/html."

pickle:
	mkdir -p .build/pickle .build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) .build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web .build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

## python-chaco 3.3.1

=== debian/changelog ===
python-chaco (3.3.1-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Thu, 03 Jun 2010 01:43:27 -0400

python-chaco (3.3.0-1) unstable; urgency=low

  * New upstream release
  * Switch to source format 3.0 (quilt)
  * Bump Standards-Version to 3.8.4
  * Remove transition package: python-enthought-chaco2

 -- Varun Hiremath <varun@debian.org>  Sun, 28 Feb 2010 14:05:25 -0500

python-chaco (3.2.0-2) unstable; urgency=low

  * Fix removal of LICENSE files, which broke installation.

 -- Varun Hiremath <varun@debian.org>  Tue, 21 Jul 2009 01:13:02 -0400

python-chaco (3.2.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.2
  * Add setup.diff patch to remove unwanted files from installation

 -- Varun Hiremath <varun@debian.org>  Fri, 17 Jul 2009 20:02:24 -0400

python-chaco (3.1.0-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Fri, 27 Mar 2009 02:51:31 -0400

python-chaco (3.0.1-2) unstable; urgency=low

  * debian/rules: Fix removal of LICENSE* files (Closes: #511042)

 -- Varun Hiremath <varun@debian.org>  Fri, 09 Jan 2009 11:11:39 -0500

python-chaco (3.0.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Varun Hiremath ]
  * New upstream release
  * debian/control: add python-setupdocs to Build-Depends

 -- Varun Hiremath <varun@debian.org>  Mon, 29 Dec 2008 02:34:05 -0500

python-chaco (3.0.0-1) experimental; urgency=low

  * New upstream release
  * Rename the package to match upstream naming conventions
  * Package split into many sub-packages
  * debian/control: add python-traitsgui, python-enable to Depends
  * Update debian/watch and debian/orig-tar.sh files
  * Cleanup debian/rules file

 -- Varun Hiremath <varun@debian.org>  Sun, 26 Oct 2008 01:19:08 -0400

enthought-chaco2 (2.0.5-1) unstable; urgency=low

  * New upstream release
  * Example scales_test.py fixed (Closes: #477953)
  * Bump Standards-Version to 3.8.0
  * Add enthought.enable to orig.tar.gz

 -- Varun Hiremath <varun@debian.org>  Fri, 11 Jul 2008 22:58:21 +0530

enthought-chaco2 (2.0.4-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - added versioned build-dep on python-central (>= 0.6)
  * debian/rules
    - fixed due to new python-central directories format (Closes: #472041)
    - moved some removal command in install

  [ Varun Hiremath ]
  * Some more minor fixes in debian/rules

 -- Varun Hiremath <varun@debian.org>  Sun, 23 Mar 2008 11:40:51 +0530

enthought-chaco2 (2.0.4-1) unstable; urgency=low

  * New upstream release
  * Switch to pycentral
  * debian/control: Depend on python-pkg-resources instead of
    python-setuptools (Closes: #468725)

 -- Varun Hiremath <varun@debian.org>  Mon, 10 Mar 2008 12:10:48 +0530

enthought-chaco2 (2.0.1b1-1) unstable; urgency=low

  [ Varun Hiremath ]
  * Initial release (Closes: #461734)
  * Add debian/orig-tar.sh to create orig.tar.gz
  * Merge enable2 and kive into chaco2
  * Install examples and docs
  * Remove freetype2 sources from orig tarball, and add
    patches/freetype2.diff to build enthought.kiva using the existing
    freetype2 library in Debian
  * Update debian/copyright file
  * Add debian/README.Debian-source
  * Add some missing dependencies
  * Remove all gpc.* files from kiva due to license issues

  [ Kumar Appaiah ]
  * debian/control:
    + Remove XS-Python-Versions, unneded for pysupport.
  * debian/pyversions: Set for Python 2.4 onwards.
  * debian/copyright:
    + Use proposed machine readable format.

  [ Sandro Tosi ]
  * debian/control
    - removed /svn/ from Vcs-Svn
    - added op=log to Vcs-Browser

 -- Varun Hiremath <varun@debian.org>  Sun, 20 Jan 2008 15:52:54 +0530

=== debian/control ===
Source: python-chaco
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs, debhelper(>= 6), python-all-dev, python-central (>= 0.6),
 python-setuptools, python-setupdocs, python-numpy
Standards-Version: 3.8.4
XS-Python-Version: >=2.4
Homepage: http://pypi.python.org/pypi/Chaco/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-chaco/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-chaco/trunk/

Package: python-chaco
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-numpy, python-traitsgui, python-enable, python-wxgtk2.8,
 python-pkg-resources
Conflicts: python-enthought-chaco2 (<< 3.0.0)
Replaces: python-enthought-chaco2 (<< 3.0.0)
XB-Python-Version: ${python:Versions}
Description: interactive plotting application toolkit 
 Chaco is a Python plotting application toolkit and a part of
 Enthought Tool Suite. It is meant to facilitate writing plotting
 applications of all levels of complexity, from simple scripts with
 hard-coded data to large plotting programs with complex data
 interrelationships and a multitude of interactive tools. While Chaco
 generates nice static plots for publication and presentation
 purposes, its components are all designed to be work well for
 interactive data visualization.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_INSTALL_CHANGELOGS_ALL       = docs/CHANGES.txt
DEB_COMPRESS_EXCLUDE		:= .py .pdf
DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
DEB_DESTDIR			 = $(CURDIR)/debian/python-chaco
PYSHARED			 = $(DEB_DESTDIR)`pycentral pycentraldir python-chaco`
EXAMPLES			 = $(DEB_DESTDIR)/usr/share/doc/python-chaco

install/python-chaco::
	find $(DEB_DESTDIR) -name "*LICENSE*" -delete

binary-predeb/python-chaco::
	$(RM) $(DEB_DESTDIR)/usr/share/doc/python-chaco/CHANGES.txt.gz
	find $(EXAMPLES) -type f -print0 | xargs -0 sed -i '/^#!/d'
	find $(PYSHARED) -type f -print0 | xargs -0 chmod 644
	find $(EXAMPLES) -type f -print0 | xargs -0 chmod 644
	find $(EXAMPLES) -name "*LICENSE*" -delete

get-orig-source:
	-uscan --upstream-version 0 --rename

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://www.enthought.com/repo/ets/Chaco-(.*).tar.gz \
debian debian/orig-tar.sh

## python-chaco 4.0.0

=== debian/changelog ===
python-chaco (4.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Depend on python-traitsui (Closes: #633604)
    - Bump Standards-Version to 3.9.2
  * Update debian/watch file
  * Remove debian/patches/* -- no longer needed

 -- Varun Hiremath <varun@debian.org>  Fri, 08 Jul 2011 20:38:02 -0400

python-chaco (3.4.0-2) unstable; urgency=low

  * d/rules: fix pyshared directory path (Closes: #621116)

 -- Varun Hiremath <varun@debian.org>  Wed, 06 Apr 2011 19:03:54 -0400

python-chaco (3.4.0-1) unstable; urgency=low

  * New upstream release
  * Convert to dh_python2 (Closes: #616996)

 -- Varun Hiremath <varun@debian.org>  Tue, 05 Apr 2011 21:44:30 -0400

python-chaco (3.3.2-1) experimental; urgency=low

  * New upstream release
  * d/control: Bump Standards-Version to 3.9.1
  * d/copyright: Fix the BSD license referencing

 -- Varun Hiremath <varun@debian.org>  Sun, 17 Oct 2010 14:47:07 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
-Build-Depends: cdbs, debhelper(>= 6), python-all-dev, python-central (>= 0.6),
+Build-Depends: cdbs (>= 0.4.90~), debhelper(>= 6), python-all-dev (>= 2.6.6-3~),
  python-setuptools, python-setupdocs, python-numpy
-Standards-Version: 3.8.4
-XS-Python-Version: >=2.4
+Standards-Version: 3.9.2
+X-Python-Version: >=2.5
 Homepage: http://pypi.python.org/pypi/Chaco/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-chaco/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-chaco/trunk/
@@ -14,11 +14,8 @@
 Package: python-chaco
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- python-numpy, python-traitsgui, python-enable, python-wxgtk2.8,
+ python-numpy, python-traitsui, python-enable, python-wxgtk2.8,
  python-pkg-resources
-Conflicts: python-enthought-chaco2 (<< 3.0.0)
-Replaces: python-enthought-chaco2 (<< 3.0.0)
-XB-Python-Version: ${python:Versions}
 Description: interactive plotting application toolkit 
  Chaco is a Python plotting application toolkit and a part of
  Enthought Tool Suite. It is meant to facilitate writing plotting

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-DEB_PYTHON_SYSTEM=pycentral
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
@@ -9,7 +7,7 @@
 DEB_COMPRESS_EXCLUDE		:= .py .pdf
 DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
 DEB_DESTDIR			 = $(CURDIR)/debian/python-chaco
-PYSHARED			 = $(DEB_DESTDIR)`pycentral pycentraldir python-chaco`
+PYSHARED			 = $(DEB_DESTDIR)/usr/share/pyshared
 EXAMPLES			 = $(DEB_DESTDIR)/usr/share/doc/python-chaco
 
 install/python-chaco::

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://www.enthought.com/repo/ets/chaco-(.*).tar.gz \
debian debian/orig-tar.sh

## python-chaco 4.1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/chaco.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/chaco.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/chaco"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/chaco"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-chaco (4.1.0-1ubuntu3) trusty; urgency=medium

  * Let the binary-predeb target work on the usr/lib/python* directory as we
    don't have usr/share/pyshared anymore.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2014 16:35:31 +0100

python-chaco (4.1.0-1ubuntu2) quantal; urgency=low

  * Undo changes from -1ubuntu1 as the reason for them got reverted.
    The package can be synced on next occasion.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 01 Oct 2012 18:33:13 +0200

python-chaco (4.1.0-1ubuntu1) quantal; urgency=low

  * debian/rules:
    Let the binary-predeb target work on the usr/lib/python* directory as we
    don't have usr/share/pyshared anymore.

 -- Michael Bienia <geser@ubuntu.com>  Sun, 20 May 2012 15:33:45 +0200

python-chaco (4.1.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3

 -- Varun Hiremath <varun@debian.org>  Mon, 23 Apr 2012 16:08:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-chaco
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: cdbs (>= 0.4.90~), debhelper(>= 6), python-all-dev (>= 2.6.6-3~),
  python-setuptools, python-setupdocs, python-numpy
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >=2.5
 Homepage: http://pypi.python.org/pypi/Chaco/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-chaco/trunk
@@ -16,7 +17,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python-numpy, python-traitsui, python-enable, python-wxgtk2.8,
  python-pkg-resources
-Description: interactive plotting application toolkit 
+Description: interactive plotting application toolkit
  Chaco is a Python plotting application toolkit and a part of
  Enthought Tool Suite. It is meant to facilitate writing plotting
  applications of all levels of complexity, from simple scripts with

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,12 @@
 DEB_COMPRESS_EXCLUDE		:= .py .pdf
 DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
 DEB_DESTDIR			 = $(CURDIR)/debian/python-chaco
-PYSHARED			 = $(DEB_DESTDIR)/usr/share/pyshared
+PYSHARED			 = $(DEB_DESTDIR)/usr/lib/python2.?
 EXAMPLES			 = $(DEB_DESTDIR)/usr/share/doc/python-chaco
 
 install/python-chaco::
 	find $(DEB_DESTDIR) -name "*LICENSE*" -delete
+	dh_numpy
 
 binary-predeb/python-chaco::
 	$(RM) $(DEB_DESTDIR)/usr/share/doc/python-chaco/CHANGES.txt.gz
@@ -21,4 +22,4 @@
 	find $(EXAMPLES) -name "*LICENSE*" -delete
 
 get-orig-source:
-	-uscan --upstream-version 0 --rename	
+	-uscan --force-download --rename

## python-chaco 4.4.1

=== debian/changelog ===
python-chaco (4.4.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update for wxPython 3.0. (Closes: #758953)

 -- Olly Betts <olly@survex.com>  Thu, 04 Sep 2014 02:20:49 +0000

python-chaco (4.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Set permissions in /usr/lib/python*, not /usr/share/pyshared
    Closes: #750280

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 06 Jul 2014 21:27:13 +0100

python-chaco (4.4.1-1) unstable; urgency=low

  [ Varun Hiremath ]
  * New upstream release
  * d/control: Fix upstream Homepage URL (Closes: #649473)
  * Bump Standards-Version to 3.9.5

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Varun Hiremath <varun@debian.org>  Sat, 15 Mar 2014 22:52:33 -0400

=== debian/control ===
Source: python-chaco
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs (>= 0.4.90~), debhelper(>= 6), python-all-dev (>= 2.6.6-3~),
 python-setuptools, python-setupdocs, python-numpy
Standards-Version: 3.9.5
X-Python-Version: >=2.5
Homepage: http://pypi.python.org/pypi/chaco/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-chaco/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-chaco/trunk/

Package: python-chaco
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-numpy, python-traitsui, python-enable, python-wxgtk3.0,
 python-pkg-resources
Description: interactive plotting application toolkit
 Chaco is a Python plotting application toolkit and a part of
 Enthought Tool Suite. It is meant to facilitate writing plotting
 applications of all levels of complexity, from simple scripts with
 hard-coded data to large plotting programs with complex data
 interrelationships and a multitude of interactive tools. While Chaco
 generates nice static plots for publication and presentation
 purposes, its components are all designed to be work well for
 interactive data visualization.

## python-chaco 4.5.0

=== debian/changelog ===
python-chaco (4.5.0-1) unstable; urgency=medium

  * New upstream release
  * Acknowledge previous NMUs, thanks!
  * Bump Standards-Version to 3.9.6

 -- Varun Hiremath <varun@debian.org>  Mon, 17 Aug 2015 00:27:59 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: cdbs (>= 0.4.90~), debhelper(>= 6), python-all-dev (>= 2.6.6-3~),
  python-setuptools, python-setupdocs, python-numpy
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >=2.5
 Homepage: http://pypi.python.org/pypi/chaco/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-chaco/trunk/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE		:= .py .pdf
DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
DEB_DESTDIR			 = $(CURDIR)/debian/python-chaco
PYSHARED			 = $(DEB_DESTDIR)/usr/share/pyshared
PYLIBS			     = $(DEB_DESTDIR)/usr/lib/python*
EXAMPLES			 = $(DEB_DESTDIR)/usr/share/doc/python-chaco

install/python-chaco::
	find $(DEB_DESTDIR) -name "*LICENSE*" -delete
	dh_numpy

binary-predeb/python-chaco::
	find $(EXAMPLES) -type f -print0 | xargs -0 sed -i '/^#!/d'
	find $(PYLIBS) -type f -print0 | xargs -0 chmod 644
	find $(EXAMPLES) -type f -print0 | xargs -0 chmod 644
	find $(EXAMPLES) -name "*LICENSE*" -delete

get-orig-source:
	-uscan --force-download --rename

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://pypi.python.org/pypi/chaco .*chaco-(.*).tar.gz \
debian debian/orig-tar.sh
